#if !defined(AFX_EXPORT2DLG_H__34F8FFEB_8126_4242_A374_4301FC2B8E39__INCLUDED_)
#define AFX_EXPORT2DLG_H__34F8FFEB_8126_4242_A374_4301FC2B8E39__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// export2dlg.h : header file
//

#include "resource.h"

#include "aplStepManager.h"

class CaplAPI;
class CaplInstance;


/////////////////////////////////////////////////////////////////////////////
// CExport2Dlg dialog

class CExport2Dlg : public CDialog
{
// Construction
public:
	CExport2Dlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CExport2Dlg)
	enum { IDD = IDD_EXPORT2_DLG };
	CComboBox		m_cbTemplates;
	CaplButton		m_Cancelbutton;
	CaplButton		m_OKbutton;
	CString			m_csContext;
	CString			m_csDateTime;
	CString			m_csPrdId;
	CString			m_csPrdName;
	CString			m_csSerNo;
	CString			m_csVer;
	BOOL			m_bUseAuxMats;
	CString			m_csOutPath;
	//}}AFX_DATA


	CaplAPI*		m_api;
	CaplInstance*	m_pdf;
	CaplInstance*	m_ciContext;

	CString			m_csDictPath;
	CString			m_csDataPath;
	CString			m_csParamPath;
	CString			m_csExePath;
	CString			m_csDotsFile;


	COleDateTime	m_Date;

	bool			MakeTable(CaplInstance* ciPdf,CaplInstance* ciContext,
							  aplInstArray& aiPdfs,aplRealArray& arCounts,
							  aplInstArray& aiUnits,COleDateTime* dt=NULL,
							  const char* sn=NULL);

	bool			LoadAllZagotov(CaplAPI &api,aplInstArray& ext_Arr);

	void			SetPaths(void);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExport2Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExport2Dlg)
	virtual void OnOK();
	afx_msg void OnBSetFilter();
	virtual BOOL OnInitDialog();
	afx_msg void OnBSelRepFile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPORT2DLG_H__34F8FFEB_8126_4242_A374_4301FC2B8E39__INCLUDED_)
