#ifndef _APL_MAIN_FUNCTIONS_H_EXPORT_KTS
#define _APL_MAIN_FUNCTIONS_H_EXPORT_KTS

#include "CommonClasses.h"
#include "CommonQuery.h"
#include "apl_api.h"

// ,    
CaplItemInfo functionArray []=
{
	CaplItemInfo(aplPopUp, "Product", "&\\[3]...", "add_ExportKTS", -1, -1,"  "),
	CaplItemInfo(aplPopUp, "Product", "&\\[4]  ...", "add_ExportKTS2", -1, -1,"   "),
	CaplItemInfo(aplPopUp, "BP", "&[19]\\[0] ...", "ExportTechDoc", -1, -1,"       "),
	CaplItemInfo(aplPopUp, "BP", "&[19]\\[1]", "", -1, -1,""),
//	CaplItemInfo(aplPopUp, "BP", "&[19]\\[2]   ...", "add_ExportVO", -1, -1,"    "),
//	CaplItemInfo(aplPopUp, "BP", "&[19]\\[3] ...", "add_ExportVOb", -1, -1,"  "),
	CaplItemInfo(aplPopUp, "BP", "&[19]\\[4] ...", "add_ExportMK", -1, -1,"  "),
	CaplItemInfo(aplPopUp, "BP", "&[19]\\[5] ...", "add_ExportOK", -1, -1,"  "),
	CaplItemInfo(aplPopUp, "BP", "&[20]", "", -1, -1,""),
	CaplItemInfo(aplPopUp, "Product", "&\\[5] ...", "ExportMaterialSpecification", -1, -1,"    "),
//	CaplItemInfo(aplPopUp, "Product", "[14]", "", -1, -1),
};

// 
int functionArraySize= sizeof(functionArray)/sizeof(CaplItemInfo);

// .
CaplQuery m_querys[] = 
{
	CaplQuery("","GetKSQueryData",0),
	CaplQuery(" ","GetTDQueryData",0),
	CaplQuery(" ","GetKKQueryData",0),
	CaplQuery("   ","GetExp2QueryData",0),
	CaplQuery("  ","GetELQuerydata",0),
	CaplQuery("  ","GetMaterialSpecificationQueryData",0)
};

// 
__declspec (dllexport) bool GetFunctionsList(CArray<CaplItemInfo*, CaplItemInfo*> *strArray);
__declspec (dllexport) bool GetQueryList(CArray<CaplQuery, CaplQuery> *querys);
__declspec (dllexport) char* GetAddInName();
__declspec (dllexport) bool add_ExportKTS(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool add_ExportKTS2(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool add_ExportMK(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool add_ExportOK(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool GetKSQueryData(CaplQuery* query, CRParamsArray& m_params, UINT mode);
__declspec( dllexport) bool GetTDQueryData(CaplQuery* query, CRParamsArray& m_params, UINT mode);
__declspec( dllexport) bool GetKKQueryData(CaplQuery* query, CRParamsArray& m_params, UINT mode);
__declspec( dllexport) bool GetExp2QueryData(CaplQuery* query, CRParamsArray& m_params, UINT mode);
__declspec (dllexport) bool add_ExportVOb(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool ExportTechDoc(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool ExportElemList(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool GetELQuerydata(CaplQuery* query, CRParamsArray& m_params, UINT mode);
__declspec (dllexport) bool GenerateSpecsReport(CaplAPI* api, aplExtent &inExtent, LPCTSTR dot, LPCTSTR report, CStringArray& NamesArr);
__declspec (dllexport) char* GetAddInDescription();
__declspec (dllexport) bool ExportMaterialSpecification(CaplAPI* api, aplExtent& inExtent, bool bUpdateUI);
__declspec (dllexport) bool GetMaterialSpecificationQueryData(CaplQuery* query, CRParamsArray& m_params, UINT mode);

//   
void SetResources();
void ResetResources();

#endif //_APL_MAIN_FUNCTIONS_H_
